package Parse;


class Yylex implements java_cup.runtime.Scanner {
	private final int YY_BUFFER_SIZE = 512;
	private final int YY_F = -1;
	private final int YY_NO_STATE = -1;
	private final int YY_NOT_ACCEPT = 0;
	private final int YY_START = 1;
	private final int YY_END = 2;
	private final int YY_NO_ANCHOR = 4;
	private final int YY_BOL = 128;
	private final int YY_EOF = 129;

private int comment_count = 0;
private StringBuffer stringa;
private void newline() {
  errorMsg.newline(yychar);
}
private void err(int pos, String s) {
  errorMsg.error(pos,s);
}
private void err(String s) {
  err(yychar,s);
}
private java_cup.runtime.Symbol tok(int kind, Object value) {
    return new java_cup.runtime.Symbol(kind, yychar, yychar+yylength(), value);
}
private ErrorMsg.ErrorMsg errorMsg;
Yylex(java.io.InputStream s, ErrorMsg.ErrorMsg e) {
  this(s);
  errorMsg=e;
}
	private java.io.BufferedReader yy_reader;
	private int yy_buffer_index;
	private int yy_buffer_read;
	private int yy_buffer_start;
	private int yy_buffer_end;
	private char yy_buffer[];
	private int yychar;
	private boolean yy_at_bol;
	private int yy_lexical_state;

	Yylex (java.io.Reader reader) {
		this ();
		if (null == reader) {
			throw (new Error("Error: Bad input stream initializer."));
		}
		yy_reader = new java.io.BufferedReader(reader);
	}

	Yylex (java.io.InputStream instream) {
		this ();
		if (null == instream) {
			throw (new Error("Error: Bad input stream initializer."));
		}
		yy_reader = new java.io.BufferedReader(new java.io.InputStreamReader(instream));
	}

	private Yylex () {
		yy_buffer = new char[YY_BUFFER_SIZE];
		yy_buffer_read = 0;
		yy_buffer_index = 0;
		yy_buffer_start = 0;
		yy_buffer_end = 0;
		yychar = 0;
		yy_at_bol = true;
		yy_lexical_state = YYINITIAL;
	}

	private boolean yy_eof_done = false;
	private final int STRING = 2;
	private final int YYINITIAL = 0;
	private final int STRING_ = 3;
	private final int COMMENT = 1;
	private final int yy_state_dtrans[] = {
		0,
		68,
		71,
		78
	};
	private void yybegin (int state) {
		yy_lexical_state = state;
	}
	private int yy_advance ()
		throws java.io.IOException {
		int next_read;
		int i;
		int j;

		if (yy_buffer_index < yy_buffer_read) {
			return yy_buffer[yy_buffer_index++];
		}

		if (0 != yy_buffer_start) {
			i = yy_buffer_start;
			j = 0;
			while (i < yy_buffer_read) {
				yy_buffer[j] = yy_buffer[i];
				++i;
				++j;
			}
			yy_buffer_end = yy_buffer_end - yy_buffer_start;
			yy_buffer_start = 0;
			yy_buffer_read = j;
			yy_buffer_index = j;
			next_read = yy_reader.read(yy_buffer,
					yy_buffer_read,
					yy_buffer.length - yy_buffer_read);
			if (-1 == next_read) {
				return YY_EOF;
			}
			yy_buffer_read = yy_buffer_read + next_read;
		}

		while (yy_buffer_index >= yy_buffer_read) {
			if (yy_buffer_index >= yy_buffer.length) {
				yy_buffer = yy_double(yy_buffer);
			}
			next_read = yy_reader.read(yy_buffer,
					yy_buffer_read,
					yy_buffer.length - yy_buffer_read);
			if (-1 == next_read) {
				return YY_EOF;
			}
			yy_buffer_read = yy_buffer_read + next_read;
		}
		return yy_buffer[yy_buffer_index++];
	}
	private void yy_move_end () {
		if (yy_buffer_end > yy_buffer_start &&
		    '\n' == yy_buffer[yy_buffer_end-1])
			yy_buffer_end--;
		if (yy_buffer_end > yy_buffer_start &&
		    '\r' == yy_buffer[yy_buffer_end-1])
			yy_buffer_end--;
	}
	private boolean yy_last_was_cr=false;
	private void yy_mark_start () {
		yychar = yychar
			+ yy_buffer_index - yy_buffer_start;
		yy_buffer_start = yy_buffer_index;
	}
	private void yy_mark_end () {
		yy_buffer_end = yy_buffer_index;
	}
	private void yy_to_mark () {
		yy_buffer_index = yy_buffer_end;
		yy_at_bol = (yy_buffer_end > yy_buffer_start) &&
		            ('\r' == yy_buffer[yy_buffer_end-1] ||
		             '\n' == yy_buffer[yy_buffer_end-1] ||
		             2028/*LS*/ == yy_buffer[yy_buffer_end-1] ||
		             2029/*PS*/ == yy_buffer[yy_buffer_end-1]);
	}
	private java.lang.String yytext () {
		return (new java.lang.String(yy_buffer,
			yy_buffer_start,
			yy_buffer_end - yy_buffer_start));
	}
	private int yylength () {
		return yy_buffer_end - yy_buffer_start;
	}
	private char[] yy_double (char buf[]) {
		int i;
		char newbuf[];
		newbuf = new char[2*buf.length];
		for (i = 0; i < buf.length; ++i) {
			newbuf[i] = buf[i];
		}
		return newbuf;
	}
	private final int YY_E_INTERNAL = 0;
	private final int YY_E_MATCH = 1;
	private java.lang.String yy_error_string[] = {
		"Error: Internal error.\n",
		"Error: Unmatched input.\n"
	};
	private void yy_error (int code,boolean fatal) {
		java.lang.System.out.print(yy_error_string[code]);
		java.lang.System.out.flush();
		if (fatal) {
			throw new Error("Fatal Error.\n");
		}
	}
	private int[][] unpackFromString(int size1, int size2, String st) {
		int colonIndex = -1;
		String lengthString;
		int sequenceLength = 0;
		int sequenceInteger = 0;

		int commaIndex;
		String workString;

		int res[][] = new int[size1][size2];
		for (int i= 0; i < size1; i++) {
			for (int j= 0; j < size2; j++) {
				if (sequenceLength != 0) {
					res[i][j] = sequenceInteger;
					sequenceLength--;
					continue;
				}
				commaIndex = st.indexOf(',');
				workString = (commaIndex==-1) ? st :
					st.substring(0, commaIndex);
				st = st.substring(commaIndex+1);
				colonIndex = workString.indexOf(':');
				if (colonIndex == -1) {
					res[i][j]=Integer.parseInt(workString);
					continue;
				}
				lengthString =
					workString.substring(colonIndex+1);
				sequenceLength=Integer.parseInt(lengthString);
				workString=workString.substring(0,colonIndex);
				sequenceInteger=Integer.parseInt(workString);
				res[i][j] = sequenceInteger;
				sequenceLength--;
			}
		}
		return res;
	}
	private int yy_acpt[] = {
		/* 0 */ YY_NOT_ACCEPT,
		/* 1 */ YY_NO_ANCHOR,
		/* 2 */ YY_NO_ANCHOR,
		/* 3 */ YY_NO_ANCHOR,
		/* 4 */ YY_NO_ANCHOR,
		/* 5 */ YY_NO_ANCHOR,
		/* 6 */ YY_NO_ANCHOR,
		/* 7 */ YY_NO_ANCHOR,
		/* 8 */ YY_NO_ANCHOR,
		/* 9 */ YY_NO_ANCHOR,
		/* 10 */ YY_NO_ANCHOR,
		/* 11 */ YY_NO_ANCHOR,
		/* 12 */ YY_NO_ANCHOR,
		/* 13 */ YY_NO_ANCHOR,
		/* 14 */ YY_NO_ANCHOR,
		/* 15 */ YY_NO_ANCHOR,
		/* 16 */ YY_NO_ANCHOR,
		/* 17 */ YY_NO_ANCHOR,
		/* 18 */ YY_NO_ANCHOR,
		/* 19 */ YY_NO_ANCHOR,
		/* 20 */ YY_NO_ANCHOR,
		/* 21 */ YY_NO_ANCHOR,
		/* 22 */ YY_NO_ANCHOR,
		/* 23 */ YY_NO_ANCHOR,
		/* 24 */ YY_NO_ANCHOR,
		/* 25 */ YY_NO_ANCHOR,
		/* 26 */ YY_NO_ANCHOR,
		/* 27 */ YY_NO_ANCHOR,
		/* 28 */ YY_NO_ANCHOR,
		/* 29 */ YY_NO_ANCHOR,
		/* 30 */ YY_NO_ANCHOR,
		/* 31 */ YY_NO_ANCHOR,
		/* 32 */ YY_NO_ANCHOR,
		/* 33 */ YY_NO_ANCHOR,
		/* 34 */ YY_NO_ANCHOR,
		/* 35 */ YY_NO_ANCHOR,
		/* 36 */ YY_NO_ANCHOR,
		/* 37 */ YY_NO_ANCHOR,
		/* 38 */ YY_NO_ANCHOR,
		/* 39 */ YY_NO_ANCHOR,
		/* 40 */ YY_NO_ANCHOR,
		/* 41 */ YY_NO_ANCHOR,
		/* 42 */ YY_NO_ANCHOR,
		/* 43 */ YY_NO_ANCHOR,
		/* 44 */ YY_NO_ANCHOR,
		/* 45 */ YY_NO_ANCHOR,
		/* 46 */ YY_NO_ANCHOR,
		/* 47 */ YY_NO_ANCHOR,
		/* 48 */ YY_NO_ANCHOR,
		/* 49 */ YY_NO_ANCHOR,
		/* 50 */ YY_NO_ANCHOR,
		/* 51 */ YY_NO_ANCHOR,
		/* 52 */ YY_NO_ANCHOR,
		/* 53 */ YY_NO_ANCHOR,
		/* 54 */ YY_NO_ANCHOR,
		/* 55 */ YY_NO_ANCHOR,
		/* 56 */ YY_NO_ANCHOR,
		/* 57 */ YY_NO_ANCHOR,
		/* 58 */ YY_NO_ANCHOR,
		/* 59 */ YY_NO_ANCHOR,
		/* 60 */ YY_NO_ANCHOR,
		/* 61 */ YY_NO_ANCHOR,
		/* 62 */ YY_NO_ANCHOR,
		/* 63 */ YY_NO_ANCHOR,
		/* 64 */ YY_NO_ANCHOR,
		/* 65 */ YY_NO_ANCHOR,
		/* 66 */ YY_NO_ANCHOR,
		/* 67 */ YY_NO_ANCHOR,
		/* 68 */ YY_NOT_ACCEPT,
		/* 69 */ YY_NO_ANCHOR,
		/* 70 */ YY_NO_ANCHOR,
		/* 71 */ YY_NOT_ACCEPT,
		/* 72 */ YY_NO_ANCHOR,
		/* 73 */ YY_NO_ANCHOR,
		/* 74 */ YY_NOT_ACCEPT,
		/* 75 */ YY_NO_ANCHOR,
		/* 76 */ YY_NOT_ACCEPT,
		/* 77 */ YY_NO_ANCHOR,
		/* 78 */ YY_NOT_ACCEPT,
		/* 79 */ YY_NO_ANCHOR,
		/* 80 */ YY_NO_ANCHOR,
		/* 81 */ YY_NO_ANCHOR,
		/* 82 */ YY_NO_ANCHOR,
		/* 83 */ YY_NO_ANCHOR,
		/* 84 */ YY_NO_ANCHOR,
		/* 85 */ YY_NO_ANCHOR,
		/* 86 */ YY_NO_ANCHOR,
		/* 87 */ YY_NO_ANCHOR,
		/* 88 */ YY_NO_ANCHOR,
		/* 89 */ YY_NO_ANCHOR,
		/* 90 */ YY_NO_ANCHOR,
		/* 91 */ YY_NO_ANCHOR,
		/* 92 */ YY_NO_ANCHOR,
		/* 93 */ YY_NO_ANCHOR,
		/* 94 */ YY_NO_ANCHOR,
		/* 95 */ YY_NO_ANCHOR,
		/* 96 */ YY_NO_ANCHOR,
		/* 97 */ YY_NO_ANCHOR,
		/* 98 */ YY_NO_ANCHOR,
		/* 99 */ YY_NO_ANCHOR,
		/* 100 */ YY_NO_ANCHOR,
		/* 101 */ YY_NO_ANCHOR,
		/* 102 */ YY_NO_ANCHOR,
		/* 103 */ YY_NO_ANCHOR,
		/* 104 */ YY_NO_ANCHOR,
		/* 105 */ YY_NO_ANCHOR,
		/* 106 */ YY_NO_ANCHOR,
		/* 107 */ YY_NO_ANCHOR,
		/* 108 */ YY_NO_ANCHOR,
		/* 109 */ YY_NO_ANCHOR,
		/* 110 */ YY_NO_ANCHOR,
		/* 111 */ YY_NO_ANCHOR,
		/* 112 */ YY_NO_ANCHOR,
		/* 113 */ YY_NO_ANCHOR
	};
	private int yy_cmap[] = unpackFromString(1,130,
"43:8,40:2,41,43:2,42,43:18,40,43,44,43:3,18,43,4,5,13,11,1,12,10,14,46:10,2" +
",3,16,15,17,43:2,47:26,6,45,7,43,48,43,30,29,35,33,24,25,47,21,22,47,31,23," +
"47,32,26,38,47,27,39,28,34,36,20,47,37,47,8,19,9,43:2,0:2")[0];

	private int yy_rmap[] = unpackFromString(1,114,
"0,1:2,2,1:10,3,4,1,5,6,1:2,7,8,1:4,9,1:6,10:17,1:7,11,1:9,12,13,14,15,16,17" +
",18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,34,35,36,37,38,39,40,41,42" +
",43,44,45,46,47,10,48,49,50,51,52,53,10,54,55")[0];

	private int yy_nxt[][] = unpackFromString(56,49,
"1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,111,69,91,92,93,72,11" +
"1,75,112,113,111,94,77,111:2,95,111:3,22,23,24,25,26,25,27,111,25,-1:64,28," +
"-1:47,29,-1:47,30,-1:50,31,-1,32,-1:46,33,-1:53,111,103,111:18,-1:6,104,111" +
",104,-1:40,22,-1:54,27,-1:22,111:20,-1:6,104,111,104,-1:28,59,-1:3,60,-1:11" +
",61,62,74,-1:2,1,51:12,70,73,51:26,23,24,51:6,-1:20,111:5,34,111:6,35,111:7" +
",-1:6,104,111,104,-1:14,52,-1:34,1,54:40,55,56,54,57,58,54:3,-1:20,111:5,36" +
",111:14,-1:6,104,111,104,-1:13,53,-1:81,76,-1:22,111,97,111:4,37,111:10,98," +
"111:2,-1:6,104,111,104,-1:46,63,-1:22,111:6,38,111:13,-1:6,104,111,104,1,64" +
":40,65,66,64:2,67,64:3,-1:20,111:8,39,111:11,-1:6,104,111,104,-1:20,111:13," +
"40,111:6,-1:6,104,111,104,-1:20,111:7,41,111:12,-1:6,104,111,104,-1:20,111:" +
"3,42,111:16,-1:6,104,111,104,-1:20,111:7,43,111:12,-1:6,104,111,104,-1:20,1" +
"11:4,44,111:15,-1:6,104,111,104,-1:20,111:12,45,111:7,-1:6,104,111,104,-1:2" +
"0,111:4,46,111:15,-1:6,104,111,104,-1:20,111:4,47,111:15,-1:6,104,111,104,-" +
"1:20,111:11,48,111:8,-1:6,104,111,104,-1:20,111:17,49,111:2,-1:6,104,111,10" +
"4,-1:20,111:12,50,111:7,-1:6,104,111,104,-1:20,111:4,79,111:15,-1:6,104,111" +
",104,-1:20,111:3,96,111:8,80,111:7,-1:6,104,111,104,-1:20,111:6,81,111:7,10" +
"5,111:5,-1:6,104,111,104,-1:20,111:2,82,111:17,-1:6,104,111,104,-1:20,111:1" +
"0,83,111:9,-1:6,104,111,104,-1:20,111:19,84,-1:6,104,111,104,-1:20,111:4,85" +
",111:15,-1:6,104,111,104,-1:20,111:18,86,111,-1:6,104,111,104,-1:20,111:3,8" +
"7,111:16,-1:6,104,111,104,-1:20,111:10,88,111:9,-1:6,104,111,104,-1:20,111:" +
"10,89,111:9,-1:6,104,111,104,-1:20,111:6,90,111:13,-1:6,104,111,104,-1:20,1" +
"11:2,99,111:17,-1:6,104,111,104,-1:20,111:12,108,111:7,-1:6,104,111,104,-1:" +
"20,111:4,100,111:15,-1:6,104,111,104,-1:20,111:7,101,111:12,-1:6,104,111,10" +
"4,-1:20,111:15,109,111:4,-1:6,104,111,104,-1:20,111:8,110,111:11,-1:6,104,1" +
"11,104,-1:20,111:2,102,111:17,-1:6,104,111,104,-1:20,111:7,106,111:12,-1:6," +
"104,111,104,-1:20,111:7,107,111:12,-1:6,104,111,104");

	public java_cup.runtime.Symbol next_token ()
		throws java.io.IOException {
		int yy_lookahead;
		int yy_anchor = YY_NO_ANCHOR;
		int yy_state = yy_state_dtrans[yy_lexical_state];
		int yy_next_state = YY_NO_STATE;
		int yy_last_accept_state = YY_NO_STATE;
		boolean yy_initial = true;
		int yy_this_accept;

		yy_mark_start();
		yy_this_accept = yy_acpt[yy_state];
		if (YY_NOT_ACCEPT != yy_this_accept) {
			yy_last_accept_state = yy_state;
			yy_mark_end();
		}
		while (true) {
			if (yy_initial && yy_at_bol) yy_lookahead = YY_BOL;
			else yy_lookahead = yy_advance();
			yy_next_state = YY_F;
			yy_next_state = yy_nxt[yy_rmap[yy_state]][yy_cmap[yy_lookahead]];
			if (YY_EOF == yy_lookahead && true == yy_initial) {

	{
	 if(comment_count!=0) err(yychar, "comment block end '*/' missing at end of file");
	 return tok(sym.EOF, null);
        }
			}
			if (YY_F != yy_next_state) {
				yy_state = yy_next_state;
				yy_initial = false;
				yy_this_accept = yy_acpt[yy_state];
				if (YY_NOT_ACCEPT != yy_this_accept) {
					yy_last_accept_state = yy_state;
					yy_mark_end();
				}
			}
			else {
				if (YY_NO_STATE == yy_last_accept_state) {
					throw (new Error("Lexical Error: Unmatched Input."));
				}
				else {
					yy_anchor = yy_acpt[yy_last_accept_state];
					if (0 != (YY_END & yy_anchor)) {
						yy_move_end();
					}
					yy_to_mark();
					switch (yy_last_accept_state) {
					case 1:
						
					case -2:
						break;
					case 2:
						{ return tok(sym.COMMA, null); /* punctuation symbols....  */ }
					case -3:
						break;
					case 3:
						{ return tok(sym.COLON, null); }
					case -4:
						break;
					case 4:
						{ return tok(sym.SEMICOLON, null); }
					case -5:
						break;
					case 5:
						{ return tok(sym.LPAREN, null); }
					case -6:
						break;
					case 6:
						{ return tok(sym.RPAREN, null); }
					case -7:
						break;
					case 7:
						{ return tok(sym.LBRACK, null); }
					case -8:
						break;
					case 8:
						{ return tok(sym.RBRACK, null); }
					case -9:
						break;
					case 9:
						{ return tok(sym.LBRACE, null); }
					case -10:
						break;
					case 10:
						{ return tok(sym.RBRACE, null); }
					case -11:
						break;
					case 11:
						{ return tok(sym.DOT, null); }
					case -12:
						break;
					case 12:
						{ return tok(sym.PLUS, null); }
					case -13:
						break;
					case 13:
						{ return tok(sym.MINUS, null); }
					case -14:
						break;
					case 14:
						{ return tok(sym.TIMES, null); }
					case -15:
						break;
					case 15:
						{ return tok(sym.DIVIDE, null); }
					case -16:
						break;
					case 16:
						{ return tok(sym.EQ, null); }
					case -17:
						break;
					case 17:
						{ return tok(sym.LT, null); }
					case -18:
						break;
					case 18:
						{ return tok(sym.GT, null); }
					case -19:
						break;
					case 19:
						{ return tok(sym.AND, null); }
					case -20:
						break;
					case 20:
						{ return tok(sym.OR, null); }
					case -21:
						break;
					case 21:
						{ return tok(sym.ID, new String(yytext())); }
					case -22:
						break;
					case 22:
						{ /* whitespace characters are ignored */ }
					case -23:
						break;
					case 23:
						{ newline(); /* newlines call newline() to know the line number if an error occurs */ }
					case -24:
						break;
					case 24:
						{ yychar--; }
					case -25:
						break;
					case 25:
						{ err(yychar, "unmatched input character: "+yytext()+", ASCII: "+ ((int) yytext().charAt(0)) ); }
					case -26:
						break;
					case 26:
						{ stringa = new StringBuffer(); yybegin(STRING); }
					case -27:
						break;
					case 27:
						{ return tok(sym.INT, Integer.valueOf(yytext())); }
					case -28:
						break;
					case 28:
						{ return tok(sym.ASSIGN, null); }
					case -29:
						break;
					case 29:
						{ err(yychar, "comment block end '*/' without comment block start"); }
					case -30:
						break;
					case 30:
						{ yybegin(COMMENT); comment_count = comment_count + 1; }
					case -31:
						break;
					case 31:
						{ return tok(sym.LE, null); }
					case -32:
						break;
					case 32:
						{ return tok(sym.NEQ, null); }
					case -33:
						break;
					case 33:
						{ return tok(sym.GE, null); }
					case -34:
						break;
					case 34:
						{ return tok(sym.IF, null); }
					case -35:
						break;
					case 35:
						{ return tok(sym.IN, null); }
					case -36:
						break;
					case 36:
						{ return tok(sym.OF, null); }
					case -37:
						break;
					case 37:
						{ return tok(sym.TO, null); }
					case -38:
						break;
					case 38:
						{ return tok(sym.DO, null); }
					case -39:
						break;
					case 39:
						{ return tok(sym.LET, null); }
					case -40:
						break;
					case 40:
						{ return tok(sym.END, null); }
					case -41:
						break;
					case 41:
						{ return tok(sym.FOR, null); }
					case -42:
						break;
					case 42:
						{ return tok(sym.NIL, null); }
					case -43:
						break;
					case 43:
						{ return tok(sym.VAR, null); }
					case -44:
						break;
					case 44:
						{ return tok(sym.ELSE, null); }
					case -45:
						break;
					case 45:
						{ return tok(sym.THEN, null); }
					case -46:
						break;
					case 46:
						{ return tok(sym.TYPE, null); }
					case -47:
						break;
					case 47:
						{ return tok(sym.WHILE, null); /* reserved words... */ }
					case -48:
						break;
					case 48:
						{ return tok(sym.BREAK, null); }
					case -49:
						break;
					case 49:
						{ return tok(sym.ARRAY, null); }
					case -50:
						break;
					case 50:
						{ return tok(sym.FUNCTION, null); }
					case -51:
						break;
					case 51:
						{ }
					case -52:
						break;
					case 52:
						{
	comment_count = comment_count - 1;
	if(comment_count < 0) err(yychar, "comment block end without comment block start");
	if (comment_count == 0) {
    		yybegin(YYINITIAL);
	}
}
					case -53:
						break;
					case 53:
						{ comment_count = comment_count + 1; }
					case -54:
						break;
					case 54:
						{stringa.append(yytext());}
					case -55:
						break;
					case 55:
						{
	yybegin(YYINITIAL);
	stringa.append(yytext().substring(1,yytext().length()));
	String str = new String(stringa);
	err(yychar, "unclosed string");
}
					case -56:
						break;
					case 56:
						{ yychar--; }
					case -57:
						break;
					case 57:
						{ yybegin(YYINITIAL); return tok(sym.STRING, new String(stringa)); }
					case -58:
						break;
					case 58:
						{ yybegin(STRING_); }
					case -59:
						break;
					case 59:
						{stringa.append('\t');}
					case -60:
						break;
					case 60:
						{stringa.append('\n');}
					case -61:
						break;
					case 61:
						{stringa.append('"');}
					case -62:
						break;
					case 62:
						{stringa.append('\\');}
					case -63:
						break;
					case 63:
						{ stringa.append((char) (new Integer(yytext().substring(1))).intValue() ); }
					case -64:
						break;
					case 64:
						{ }
					case -65:
						break;
					case 65:
						{ }
					case -66:
						break;
					case 66:
						{ yychar--; }
					case -67:
						break;
					case 67:
						{ yybegin(STRING); }
					case -68:
						break;
					case 69:
						{ return tok(sym.ID, new String(yytext())); }
					case -69:
						break;
					case 70:
						{ }
					case -70:
						break;
					case 72:
						{ return tok(sym.ID, new String(yytext())); }
					case -71:
						break;
					case 73:
						{ }
					case -72:
						break;
					case 75:
						{ return tok(sym.ID, new String(yytext())); }
					case -73:
						break;
					case 77:
						{ return tok(sym.ID, new String(yytext())); }
					case -74:
						break;
					case 79:
						{ return tok(sym.ID, new String(yytext())); }
					case -75:
						break;
					case 80:
						{ return tok(sym.ID, new String(yytext())); }
					case -76:
						break;
					case 81:
						{ return tok(sym.ID, new String(yytext())); }
					case -77:
						break;
					case 82:
						{ return tok(sym.ID, new String(yytext())); }
					case -78:
						break;
					case 83:
						{ return tok(sym.ID, new String(yytext())); }
					case -79:
						break;
					case 84:
						{ return tok(sym.ID, new String(yytext())); }
					case -80:
						break;
					case 85:
						{ return tok(sym.ID, new String(yytext())); }
					case -81:
						break;
					case 86:
						{ return tok(sym.ID, new String(yytext())); }
					case -82:
						break;
					case 87:
						{ return tok(sym.ID, new String(yytext())); }
					case -83:
						break;
					case 88:
						{ return tok(sym.ID, new String(yytext())); }
					case -84:
						break;
					case 89:
						{ return tok(sym.ID, new String(yytext())); }
					case -85:
						break;
					case 90:
						{ return tok(sym.ID, new String(yytext())); }
					case -86:
						break;
					case 91:
						{ return tok(sym.ID, new String(yytext())); }
					case -87:
						break;
					case 92:
						{ return tok(sym.ID, new String(yytext())); }
					case -88:
						break;
					case 93:
						{ return tok(sym.ID, new String(yytext())); }
					case -89:
						break;
					case 94:
						{ return tok(sym.ID, new String(yytext())); }
					case -90:
						break;
					case 95:
						{ return tok(sym.ID, new String(yytext())); }
					case -91:
						break;
					case 96:
						{ return tok(sym.ID, new String(yytext())); }
					case -92:
						break;
					case 97:
						{ return tok(sym.ID, new String(yytext())); }
					case -93:
						break;
					case 98:
						{ return tok(sym.ID, new String(yytext())); }
					case -94:
						break;
					case 99:
						{ return tok(sym.ID, new String(yytext())); }
					case -95:
						break;
					case 100:
						{ return tok(sym.ID, new String(yytext())); }
					case -96:
						break;
					case 101:
						{ return tok(sym.ID, new String(yytext())); }
					case -97:
						break;
					case 102:
						{ return tok(sym.ID, new String(yytext())); }
					case -98:
						break;
					case 103:
						{ return tok(sym.ID, new String(yytext())); }
					case -99:
						break;
					case 104:
						{ return tok(sym.ID, new String(yytext())); }
					case -100:
						break;
					case 105:
						{ return tok(sym.ID, new String(yytext())); }
					case -101:
						break;
					case 106:
						{ return tok(sym.ID, new String(yytext())); }
					case -102:
						break;
					case 107:
						{ return tok(sym.ID, new String(yytext())); }
					case -103:
						break;
					case 108:
						{ return tok(sym.ID, new String(yytext())); }
					case -104:
						break;
					case 109:
						{ return tok(sym.ID, new String(yytext())); }
					case -105:
						break;
					case 110:
						{ return tok(sym.ID, new String(yytext())); }
					case -106:
						break;
					case 111:
						{ return tok(sym.ID, new String(yytext())); }
					case -107:
						break;
					case 112:
						{ return tok(sym.ID, new String(yytext())); }
					case -108:
						break;
					case 113:
						{ return tok(sym.ID, new String(yytext())); }
					case -109:
						break;
					default:
						yy_error(YY_E_INTERNAL,false);
					case -1:
					}
					yy_initial = true;
					yy_state = yy_state_dtrans[yy_lexical_state];
					yy_next_state = YY_NO_STATE;
					yy_last_accept_state = YY_NO_STATE;
					yy_mark_start();
					yy_this_accept = yy_acpt[yy_state];
					if (YY_NOT_ACCEPT != yy_this_accept) {
						yy_last_accept_state = yy_state;
						yy_mark_end();
					}
				}
			}
		}
	}
}
