package Translate;


public class Level{
  public Frame.Frame frame;
  public AccessList formals;
  public Level parent;
  
  //chiama Frame.newFrame
  public Level(Level parent,Symbol.Symbol name,Util.BoolList fmls){
    this.parent=parent;    
    //c' la gestione dell'extra parametro (link statico)
    Temp.Label lff=new Temp.Label();
    frame=parent.frame.newFrame(lff, new Util.BoolList(true , fmls) );

    frame.debugName=new Temp.Label(name);
    //si crea la lista dei formali al livello translate da quelli del frame Pentium
    formals=accessFromAccess(frame.formals.tail);
    frame.main=false;


    String nodod="(->) "+name;
    AccessList appa=formals;
    while (appa!=null){
      if(appa.head.acc instanceof Pentium.InFrame) 
        nodod+= (" (&"+((Pentium.InFrame)appa.head.acc).offset+")");
      else nodod+= ( "(%"+((Pentium.InReg)appa.head.acc).temp+")");
      appa=appa.tail;
    }
    
  }
  public static Level extLevel(Level parent,Symbol.Symbol name,Util.BoolList fmls){
    Level ret=new Level(parent,name,fmls);
    ret.frame.name=new Temp.Label(name.toString());
    return ret;
  }
  public Level(Frame.Frame f){
    frame=f;
    frame.main=true;
    frame.name=new Temp.Label("main");
    frame.debugName=new Temp.Label("main");
  }

  public Access allocLocal(boolean escape){
    Frame.Access rac=frame.allocLocal(escape);
    String r="Temp";
    if(rac instanceof Pentium.InFrame) r=""+((Pentium.InFrame)rac).offset;
    return new Access(this,rac);
  }

  private AccessList accessFromAccess(Frame.AccessList fp){
    if(fp==null)return null;
    return new AccessList(new Access(this,fp.head),accessFromAccess(fp.tail));
  }
}