package Translate;

public class IfThenElseExp extends Exp
{
  Exp cond,a,b;
  Temp.Label t=new Temp.Label();
  Temp.Label f=new Temp.Label();
  Temp.Label join=new Temp.Label();
  
  public IfThenElseExp(Exp cc,Exp aa,Exp bb){cond=cc;a=aa;b=bb;}

  public Tree.Exp unEx()
  {
    Temp.Label tret=new Temp.Label();
    Tree.TEMP r=new Tree.TEMP(new Temp.Temp());
     
    if(cond.unEx() instanceof Tree.CONST)
      if( ((Tree.CONST)cond.unEx()).value==1) return a.unEx();
      else return b.unEx();

    Tree.Stm ncc;    

    if(cond instanceof RelCx)  ncc=((RelCx)cond).unCx(t,f);
    else ncc=new Tree.CJUMP(Tree.CJUMP.EQ,new Tree.CONST(1),cond.unEx(),t,f);
    
    Tree.Exp ret=
    new Tree.ESEQ(
      ncc,
      new Tree.ESEQ(
        new Tree.SEQ(
          new Tree.LABEL(t),
          new Tree.SEQ(
            new Tree.MOVE(r,a.unEx()),
            new Tree.JUMP(tret)
          )
        ),
        new Tree.ESEQ(
          new Tree.SEQ(
            new Tree.LABEL(f),
            new Tree.MOVE(r,b.unEx())
          ),
          new Tree.ESEQ(new Tree.LABEL(tret),r)
        )
      )
    );

    return ret;
  }

  public Tree.Stm unNx()
  {
    if(cond.unEx() instanceof Tree.CONST)
      if( ((Tree.CONST)cond.unEx()).value==1) return a.unNx();
      else return b!=null ? b.unNx() : new Tree.EXP2(new Tree.CONST(0));
    
    Tree.Stm ncc;    
    if(cond instanceof RelCx)  ncc=((RelCx)cond).unCx(t,b!=null?f:join);
    else ncc=new Tree.CJUMP(Tree.CJUMP.EQ,new Tree.CONST(1),cond.unEx(),t,b!=null?f:join);

    Tree.Stm ret;
    if(b != null) {
        ret = new Tree.SEQ(ncc,
            new Tree.SEQ(new Tree.LABEL(t),
                    new Tree.SEQ(a.unNx(),
                            new Tree.SEQ(new Tree.JUMP(join),
                                    new Tree.SEQ(new Tree.LABEL(f),
                                            new Tree.SEQ(b.unNx(),
                                                    new Tree.LABEL(join)))))));
    }
    else {
    	ret = new Tree.SEQ(new Tree.SEQ(ncc,
    			new Tree.SEQ(new Tree.LABEL(t), a.unNx())),
    			new Tree.LABEL(join));
    }

    return ret;
  }
  
  public Tree.Stm unCx(Temp.Label tt,Temp.Label ff)
  {
    if(cond instanceof RelCx) return ((RelCx)cond).unCx(tt,ff);
    return new Tree.CJUMP(Tree.CJUMP.EQ,new Tree.CONST(1),cond.unEx(),tt,ff);   
  }

  public Tree.ATree get()
  {
      return unCx(new Temp.Label(), new Temp.Label());
  }
}
